com.holonplatform.http.internal

## Class CacheControlDirectives.CacheControlBuilder

- java.lang.Object
- - com.holonplatform.http.internal.CacheControlDirectives.CacheControlBuilder

- All Implemented Interfaces:
    CacheControl.Builder
  Enclosing class:
    CacheControlDirectives

      public static class CacheControlDirectives.CacheControlBuilder
      extends Object
      implements CacheControl.Builder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheControlBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CacheControl` | `build()` Build the `CacheControl` instance
    `CacheControl.Builder` | `maxAge(long maxAge)` Set the max-age cache control directive.
    `CacheControl.Builder` | `mustRevalidate(boolean mustRevalidate)` Set the must-revalidate cache control directive.
    `CacheControl.Builder` | `noCache(boolean noCache)` Set the no-cache cache control directive.
    `CacheControl.Builder` | `noStore(boolean noStore)` Set the no-store cache control directive.
    `CacheControl.Builder` | `noTransform(boolean noTransform)` Set the no-transform cache control directive.
    `CacheControl.Builder` | `proxyRevalidate(boolean proxyRevalidate)` Set the proxy-revalidate cache control directive.
    `CacheControl.Builder` | `setPrivate(boolean isprivate)` Set the private cache control directive.
    `CacheControl.Builder` | `sMaxAge(long sMaxAge)` Set the s-maxage cache control directive.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheControlBuilder

          public CacheControlBuilder()

  - ### Method Detail

    - #### mustRevalidate

          public CacheControl.Builder mustRevalidate(boolean mustRevalidate)

      Description copied from interface: `CacheControl.Builder`
      Set the must-revalidate cache control directive.
      Specified by:
        `mustRevalidate` in interface `CacheControl.Builder`
      Parameters:
        `mustRevalidate` - The directive to set
      Returns:
        this

    - #### proxyRevalidate

          public CacheControl.Builder proxyRevalidate(boolean proxyRevalidate)

      Description copied from interface: `CacheControl.Builder`
      Set the proxy-revalidate cache control directive.
      Specified by:
        `proxyRevalidate` in interface `CacheControl.Builder`
      Parameters:
        `proxyRevalidate` - The directive to set
      Returns:
        this

    - #### maxAge

          public CacheControl.Builder maxAge(long maxAge)

      Description copied from interface: `CacheControl.Builder`
      Set the max-age cache control directive.
      Specified by:
        `maxAge` in interface `CacheControl.Builder`
      Parameters:
        `maxAge` - The directive to set
      Returns:
        this

    - #### sMaxAge

          public CacheControl.Builder sMaxAge(long sMaxAge)

      Description copied from interface: `CacheControl.Builder`
      Set the s-maxage cache control directive.
      Specified by:
        `sMaxAge` in interface `CacheControl.Builder`
      Parameters:
        `sMaxAge` - The directive to set
      Returns:
        this

    - #### noCache

          public CacheControl.Builder noCache(boolean noCache)

      Description copied from interface: `CacheControl.Builder`
      Set the no-cache cache control directive.
      Specified by:
        `noCache` in interface `CacheControl.Builder`
      Parameters:
        `noCache` - The directive to set
      Returns:
        this

    - #### setPrivate

          public CacheControl.Builder setPrivate(boolean isprivate)

      Description copied from interface: `CacheControl.Builder`
      Set the private cache control directive.
      Specified by:
        `setPrivate` in interface `CacheControl.Builder`
      Parameters:
        `isprivate` - The directive to set
      Returns:
        this

    - #### noTransform

          public CacheControl.Builder noTransform(boolean noTransform)

      Description copied from interface: `CacheControl.Builder`
      Set the no-transform cache control directive.
      Specified by:
        `noTransform` in interface `CacheControl.Builder`
      Parameters:
        `noTransform` - The directive to set
      Returns:
        this

    - #### noStore

          public CacheControl.Builder noStore(boolean noStore)

      Description copied from interface: `CacheControl.Builder`
      Set the no-store cache control directive.
      Specified by:
        `noStore` in interface `CacheControl.Builder`
      Parameters:
        `noStore` - The directive to set
      Returns:
        this

    - #### build

          public CacheControl build()

      Description copied from interface: `CacheControl.Builder`
      Build the `CacheControl` instance
      Specified by:
        `build` in interface `CacheControl.Builder`
      Returns:
        CacheControl

Copyright © 2019 The Holon Platform. All rights reserved.